aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejs <mmokrejs@fold.natur.cuni.cz>2018-04-22 10:57:59 +0200
committerMartin Mokrejs <mmokrejs@fold.natur.cuni.cz>2018-04-22 10:57:59 +0200
commitaca4c5886f2dc4991a59805666245be2a627f0ea (patch)
tree09e0c06318b2ed304c5d6bac142badf62dfa6cd8 /sci-biology/kat/kat-2.4.1.ebuild
parentsci-biology/sailfish: update comments with URLs (diff)
downloadsci-aca4c5886f2dc4991a59805666245be2a627f0ea.tar.gz
sci-aca4c5886f2dc4991a59805666245be2a627f0ea.tar.bz2
sci-aca4c5886f2dc4991a59805666245be2a627f0ea.zip
sci-biology/kat: execute the build_boost.sh and autogen.sh logic
Execute the commands from within ebuild to ease debugging of errors. See https://github.com/TGAC/KAT/issues/92 Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'sci-biology/kat/kat-2.4.1.ebuild')
-rw-r--r--sci-biology/kat/kat-2.4.1.ebuild15
1 files changed, 13 insertions, 2 deletions
diff --git a/sci-biology/kat/kat-2.4.1.ebuild b/sci-biology/kat/kat-2.4.1.ebuild
index 466b5431e..1df9f4430 100644
--- a/sci-biology/kat/kat-2.4.1.ebuild
+++ b/sci-biology/kat/kat-2.4.1.ebuild
@@ -32,8 +32,10 @@ S="${WORKDIR}"/KAT-Release-"${PV}"
src_prepare(){
default
- sh build_boost.sh || die
- sh autogen.sh || die
+ # autogen.sh
+ test -n "$srcdir" || local srcdir=`dirname "$0"`
+ test -n "$srcdir" || local srcdir=.
+ eautoreconf --force --install --verbose "$srcdir"
}
src_configure(){
@@ -42,3 +44,12 @@ src_configure(){
use cpu_flags_x86_sse && myconf+=( $(use_with cpu_flags_x86_sse sse) ) # pass down to jellyfish-2.20/configure
PYTHON_VERSION=3 econf ${myconf[@]}
}
+
+src_compile(){
+ # build_boost.sh
+ cd deps/boost || die
+ ./bootstrap.sh --prefix=build --with-libraries=chrono,exception,program_options,timer,filesystem,system,stacktrace || die
+ ./b2 headers || die
+ ./b2 install || die
+ cd ../.. || die
+}